set term postscript eps enhanced color "Helvetica" 8
set ylabel 'Delta T/T_f - delta T/T'
set xlabel 'Time (s)'
unset logscale
plot \
'./sim/stark0/stark_stark_mode_delta.dat' using ($1):($2) with lp lw 4 lt 2 title 'sim1',\
'./sim/stark1/stark_stark_mode_delta.dat' using ($1):($2) with lp lw 4 lt 3 title 'sim2',\
'./sim/stark2/stark_stark_mode_delta.dat' using ($1):($2) with lp lw 4 lt 4 title 'sim3',\
'./sim/stark3/stark_stark_mode_delta.dat' using ($1):($2) with lp lw 4 lt 5 title 'sim4',\
'./exp/stark0/stark.dat'using ($1):($2) with l lw 4 lt 2 title 'exp1',\
'./exp/stark1/stark.dat' using ($1):($2) with l lw 4 lt 3 title 'exp2',\
'./exp/stark2/stark.dat' using ($1):($2) with l lw 4 lt 4 title 'exp3',\
'./exp/stark3/stark.dat' using ($1):($2) with l lw 4 lt 5 title 'exp4'
